<?php
/**
* @version		1.0
* @package		DJ Classifieds
* @subpackage	DJ Classifieds and EasySocial integration
* @copyright	Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 
* 
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
* 
*/

defined( '_JEXEC' ) or die( 'Unauthorized Access' );


/**
 * Profile Embed view for DjClassifieds app
 *
 * @since	1.0
 * @access	public
 */
class DjcfitemsViewProfile extends SocialAppsView
{
	/**
	 * This method is invoked automatically and must exist on this view.
	 *
	 * The contents displayed here will be returned via an AJAX call from the system.
	 *
	 * @since	1.0.0
	 * @access	public
	 * @param	int		The user id that is currently being viewed.
	 * @return 	void
	 */
	public function display( $userId = NULL, $docType = NULL )
	{
		// Requires the viewer to be logged in to access this app
		//Foundry::requireLogin();

		$user 	= Foundry::user( $userId );
		$params = $this->app->getParams();
		$cfpar = JComponentHelper::getParams( 'com_djclassifieds' );	

		// Since we are on the canvas page, we have the flexibility to change the page title.
		if( $user->isViewer() ){
			$title 	= JText::_('APP_DJCFITEMS_YOUR_ADVERTS') ;
		}
		else{
			$title 	= JText::_('APP_DJCFITEMS_ADVERTS_FOR').' '.$user->getName() ;
		}

		//Foundry::page()->title( $title );


		// Load up the model
		$model 	= $this->getModel( 'Djcfitems' );

		// Get the list of adverts created by the user.
		$items = $model->getItems( $userId,$params->get('view-adverts-limit',5) );

		DJClassifiedsTheme::includeCSSfiles();	
			$language = JFactory::getLanguage();	
			$c_lang = $language->getTag();
			if($c_lang=='pl-PL' || $c_lang=='en-GB'){
				$language->load('com_djclassifieds', JPATH_SITE.'/components/com_djclassifieds', null, true);	
			}else{
				if(!$language->load('com_djclassifieds', JPATH_SITE, null, true)){
					$language->load('com_djclassifieds', JPATH_SITE.'/components/com_djclassifieds', null, true);
				}			
			}

		$this->set( 'items' , $items );
		$this->set( 'user'	, $user );
		$this->set( 'params', $params );
		$this->set( 'cfpar'	, $cfpar );

		// Output the contents
		echo parent::display( 'profile/default' );

	}

}